class UsersController < ApplicationController
  before_action :find_user_by_id, only: [:edit, :update]

  def new
    @user = User.new
  end

  def create
    @user = User.new(user_params)
    if @user.save
      @user.person = Person.new
      session[:user] = @user.id
      flash[:notice] = 'Successful registration'
      redirect_back fallback_location: hello_path
    else
      flash[:notice] = @user.errors.messages
      redirect_back fallback_location: hello_path
    end
  end

  def edit
  end

  def update
    if @user.update(user_params)
      flash[:notice] = 'Update successful'
      redirect_back fallback_location: hello_path
    else
      flash[:notice] = "Could not update data"
      redirect_back fallback_location: hello_path
    end
  end

  def forgotten
  end

  def send_forgotten
  end

  private
    def find_user_by_id
      if @user.nil?
        @user = User.find params[:id]
      end
    end

    def user_params
      params.require(:user).permit([:username, :email, :password, :encrypted_password])
    end
end
