# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema[7.0].define(version: 2023_05_09_105829) do
  create_table "attachments", charset: "utf8mb4", force: :cascade do |t|
    t.string "path"
    t.string "name"
    t.string "mime"
    t.integer "size"
    t.bigint "person_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["person_id"], name: "index_attachments_on_person_id"
  end

  create_table "comments", charset: "utf8mb4", force: :cascade do |t|
    t.bigint "user_id", null: false
    t.text "comment"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "person_id", null: false
    t.index ["person_id"], name: "index_comments_on_person_id"
    t.index ["user_id"], name: "index_comments_on_user_id"
  end

  create_table "friends_users", id: false, charset: "utf8mb4", force: :cascade do |t|
    t.bigint "friend_id", null: false
    t.bigint "user_id", null: false
  end

  create_table "people", charset: "utf8mb4", force: :cascade do |t|
    t.string "name"
    t.date "birthdate"
    t.boolean "gender"
    t.text "into"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "user_id", null: false
    t.index ["user_id"], name: "index_people_on_user_id"
  end

  create_table "users", charset: "utf8mb4", force: :cascade do |t|
    t.string "username"
    t.string "email"
    t.string "encrypted_password"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "salt"
  end

  add_foreign_key "attachments", "people"
  add_foreign_key "comments", "people"
  add_foreign_key "comments", "users"
  add_foreign_key "people", "users"
end
